> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> List client's existing customers



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /customers
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: List client's existing customers
      operationId: listCustomers
      parameters:
        - schema:
            $ref: '#/components/schemas/PageSize'
          required: false
          description: The number of items to return per page.
          name: page[size]
          in: query
        - schema:
            $ref: '#/components/schemas/CustomerPageAfter'
          required: false
          description: The cursor to start the page after.
          name: page[after]
          in: query
      responses:
        '200':
          description: A list of customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomersResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    PageSize:
      type: string
      pattern: ^[0-9]*$
      default: '50'
      description: The number of items to return per page.
      example: '0'
    CustomerPageAfter:
      type: string
      pattern: ^cus_[a-zA-Z0-9]{27}$
      description: The cursor to start the page after.
      example: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
    ListCustomersResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              businessLegalName:
                type: string
              businessTradeName:
                type: string
              industry:
                type: string
              email:
                type: string
              phone:
                type: string
              website:
                type: string
              isFinancialInstitution:
                type: boolean
              identifications:
                type: array
                items:
                  type: object
                  properties:
                    identificationType:
                      type: string
                    identificationNumber:
                      type: string
                    id:
                      type: string
                  required:
                    - identificationType
                    - identificationNumber
              documents:
                type: array
                items:
                  nullable: true
              registeredDate:
                type: string
              registeredAddress:
                type: object
                properties:
                  streetLine1:
                    type: string
                  streetLine2:
                    type: string
                  city:
                    type: string
                  state:
                    type: string
                  postalCode:
                    type: string
                  country:
                    type: string
                required:
                  - streetLine1
                  - city
                  - state
                  - country
              operatingAddress:
                type: object
                properties:
                  streetLine1:
                    type: string
                  streetLine2:
                    type: string
                  city:
                    type: string
                  state:
                    type: string
                  postalCode:
                    type: string
                  country:
                    type: string
                required:
                  - streetLine1
                  - city
                  - state
                  - country
              createdAt:
                nullable: true
              updatedAt:
                nullable: true
              status:
                type: string
              paymentMethods:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - bank
                        clientId:
                          type: string
                        bankName:
                          type: string
                        accountNumber:
                          type: string
                        iban:
                          type: string
                        pixKey:
                          type: string
                        routingNumber:
                          type: string
                        swiftCode:
                          type: string
                        branchCode:
                          type: string
                        bankCode:
                          type: string
                        currency:
                          nullable: true
                        accountType:
                          type: string
                        accountOwnerName:
                          type: string
                        address:
                          type: object
                          properties:
                            streetLine1:
                              type: string
                            streetLine2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            postalCode:
                              type: string
                            country:
                              type: string
                        status:
                          type: string
                        rail:
                          type: array
                          items:
                            type: string
                        ownerType:
                          type: string
                        ownerId:
                          type: string
                      required:
                        - id
                        - type
                        - bankName
                        - accountOwnerName
                        - status
                    - type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - wallet
                        clientId:
                          type: string
                        rail:
                          nullable: true
                        walletAddress:
                          type: string
                        walletLabel:
                          type: string
                        status:
                          type: string
                        ownerType:
                          type: string
                        ownerId:
                          type: string
                      required:
                        - id
                        - type
                        - walletAddress
                        - walletLabel
            required:
              - id
              - type
              - businessLegalName
              - businessTradeName
              - industry
              - identifications
              - registeredDate
              - registeredAddress
              - operatingAddress
              - paymentMethods
        links:
          type: object
          properties:
            first:
              type: string
            next:
              type: string
              nullable: true
            last:
              type: string
              nullable: true
            prev:
              type: string
              nullable: true
          required:
            - first
            - next
            - last
            - prev
      required:
        - data
        - links
      description: 'Service response for listing customers. '
      example:
        data: []
        links:
          first: /customers
          next: null
          last: null
          prev: null
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````